Bug 594869 - chkconfig --add fails to work
Summary: chkconfig --add fails to work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: chkconfig
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 20:04 UTC by William Estrada
Modified: 2014-03-17 03:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-21 21:39:26 UTC
Type: ---


Attachments (Terms of Use)

Description William Estrada 2010-05-21 20:04:18 UTC
Description of problem:
chkconfig fails to add mysqld to init levels

Version-Release number of selected component (if applicable):
chkconfig-1.3.44-1.x86_64


How reproducible:
enter 'chkconfig --add mysqld --level=35'

Steps to Reproduce:
1.enter 'chkconfig --add mysqld --level=35'
2.
3.
  
Actual results:
no erros and didn't add to init level


Expected results:
add to init levels

Additional info:[root@server ~]# chkconfig --list mysqld
mysqld         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
[root@server ~]# chkconfig --add mysqld
[root@server ~]# chkconfig --list mysqld
mysqld         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
[root@server ~]# chkconfig --add mysqld --level 35
[root@server ~]# chkconfig --list mysqld
mysqld         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
[root@server ~]# chkconfig --add mysqld --level=35
[root@server ~]# chkconfig --list mysqld
mysqld         	0:off	1:off	2:off	3:off	4:off	5:off	6:off

Comment 1 William Estrada 2010-05-21 20:08:43 UTC
i added the symlinks by CLI but chkconfig still show off?
[root@server ~]# ls -lrt /etc/*/mysqld
-rwxr-xr-x 1 root root 4901 2010-04-24 23:27 /etc/init.d/mysqld
lrwxrwxrwx 1 root root   18 2010-05-21 12:24 /etc/rc3.d/mysqld -> /etc/init.d/mysqld
lrwxrwxrwx 1 root root   18 2010-05-21 12:24 /etc/rc5.d/mysqld -> /etc/init.d/mysqld
[root@server ~]# chkconfig --list mysqld
mysqld         	0:off	1:off	2:off	3:off	4:off	5:off	6:off

Comment 2 Bill Nottingham 2010-05-21 21:39:26 UTC
--add sets the symlinks up for the default state specified in the init script. It doesn't change the defaults to make the service start or not. See the man page for more details.


Note You need to log in before you can comment on or make changes to this bug.